Subject: Re: [PATCH] doc: explain the use of color.pager

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 May 2021 07:47:59 +0900

Jonathan Nieder <[email-masked]> writes:

> Side note, not about this patch: we treat pager.color as a synonym for
> color.pager.  Is that something we want to document, or is that an
> instance of being extra friendly when the user makes a typo?

IIUC, this is the same historical wart that comes from the same
place as diff.color that existed before color.<cmd> wanted to be the
way forward.  We do not break existing configuration files by
starting to suddenly reject diff.color or pager.color, but we do not
encourage new uses by not advertising them.